size(300);
// unitsize(1cm);
// defaultpen(blue);

pair pA=(.4,4.5), pB=(2.5,5.5), pC=(5.5,5), pD=(1.25,1), pE=(3,3), pF=(10,3), pG=(8,3.5), pH=(7,.5);

transform t=scale(0.75);
 
object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_4=draw(t*"$D$",ellipse, pD,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_6=draw(t*"$F$",ellipse, pF,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_7=draw(t*"$G$",ellipse, pG,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));
object objet_8=draw(t*"$H$",ellipse, pH,
		    xmargin=.1cm,
		    filltype=FillDraw(white, black));


add(new void(picture pic, transform t) {
//Fleches directes
draw(pic, Label("\scriptsize $400$", align=Center, black, UnFill),
     point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
draw(pic, Label("\scriptsize $600$", align=Center, black, UnFill),
     point(objet_1,pD-pA,t){pD-pA}..{pD-pA}point(objet_4,pA-pD,t));

draw(pic, Label("\scriptsize $600$", align=Center, black, UnFill),
     point(objet_2,pC-pB,t){pC-pB}..{pC-pB}point(objet_3,pB-pC,t));
draw(pic, Label("\scriptsize $400$", align=Center, black, UnFill),
     point(objet_2,pE-pB,t){pE-pB}..{pE-pB}point(objet_5,pB-pE,t));

draw(pic, Label("\scriptsize $350$", align=Center, black, UnFill),
     point(objet_3,pE-pC,t){pE-pC}..{pE-pC}point(objet_5,pC-pE,t));
draw(pic, Label("\scriptsize $550$", align=Center, black, UnFill),
     point(objet_3,pG-pC,t){pG-pC}..{pG-pC}point(objet_7,pC-pG,t));
draw(pic, Label("\scriptsize $450$", align=Center, black, UnFill),
     point(objet_3,pH-pC,t){pH-pC}..{pH-pC}point(objet_8,pC-pH,t));

draw(pic, Label("\scriptsize $300$", align=Center, black, UnFill),
     point(objet_4,pE-pD,t){pE-pD}..{pE-pD}point(objet_5,pD-pE,t));
draw(pic, Label("\scriptsize $900$", align=Center, black, UnFill),
     point(objet_4,pH-pD,t){pH-pD}..{pH-pD}point(objet_8,pD-pH,t));

draw(pic, Label("\scriptsize $600$", align=Center, black, UnFill),
     point(objet_5,pG-pE,t){pG-pE}..{pG-pE}point(objet_7,pE-pG,t));

draw(pic, Label("\scriptsize $200$", align=Center, black, UnFill),
     point(objet_6,pG-pF,t){pG-pF}..{pG-pF}point(objet_7,pF-pG,t));
draw(pic, Label("\scriptsize $400$", align=Center, black, UnFill),
     point(objet_6,pH-pF,t){pH-pF}..{pH-pF}point(objet_8,pF-pH,t));

draw(pic, Label("\scriptsize $300$", align=Center, black, UnFill),
     point(objet_7,pH-pG,t){pH-pG}..{pH-pG}point(objet_8,pG-pH,t));

  });


