size(300);
// unitsize(1cm);

pair pA=(0,1.5), pB=(1.3,3.5), pC=(2,0.1), pD=(3,2.2), pE=(4.5,3.5), pF=(5,0.1), pG=(6,2.5);

transform t=scale(0.75);

object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_4=draw(t*"$D$",ellipse,pD,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_6=draw(t*"$F$",ellipse,pF,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_7=draw(t*"$G$",ellipse,pG,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));


add(new void(picture pic, transform t) {
    //Fleches directes
    draw(pic, Label("$4$", align=NW),
	 point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
    draw(pic, Label("$8$", align=SW),
	 point(objet_1,pC-pA,t){pC-pA}..{pC-pA}point(objet_3,pA-pC,t));
    draw(pic, Label("$7$", align=W),
	 point(objet_2,pC-pB,t){pC-pB}..{pC-pB}point(objet_3,pB-pC,t));
    draw(pic, Label("$18$", align=NE),
	 point(objet_2,pD-pB,t){pD-pB}..{pD-pB}point(objet_4,pB-pD,t));
    draw(pic, Label("$21$", align=N),
	 point(objet_2,pE-pB,t){pE-pB}..{pE-pB}point(objet_5,pB-pE,t));
    draw(pic, Label("$10$", align=W),
	 point(objet_3,pD-pC,t){pD-pC}..{pD-pC}point(objet_4,pC-pD,t));
    draw(pic, Label("$25$", align=S),
	 point(objet_3,pF-pC,t){pF-pC}..{pF-pC}point(objet_6,pC-pF,t));
    draw(pic, Label("$15$", align=NW),
	 point(objet_4,pE-pD,t){pE-pD}..{pE-pD}point(objet_5,pD-pE,t));
    draw(pic, Label("$12$", align=E),
	 point(objet_4,pF-pD,t){pF-pD}..{pF-pD}point(objet_6,pD-pF,t));
    draw(pic, Label("$31$", align=N+2*W),
	 point(objet_4,pG-pD,t){pG-pD}..{pG-pD}point(objet_7,pD-pG,t));
    draw(pic, Label("$10$", align=E),
	 point(objet_5,pF-pE,t){pF-pE}..{pF-pE}point(objet_6,pE-pF,t));
    draw(pic, Label("$17$", align=NE),
	 point(objet_5,pG-pE,t){pG-pE}..{pG-pE}point(objet_7,pE-pG,t));
    draw(pic, Label("$7$", align=E),
	 point(objet_6,pG-pF,t){pG-pF}..{pG-pF}point(objet_7,pF-pG,t));
  });




