size(300);
defaultpen(fontsize(11pt));
pair pZ=(.5,.5), pB=(1,3), pT=(3.2,0), pR=(3,3.5), pC=(5.5,3.3), pP=(7,.25), pL=(9,3.8), pV=(9.1,2.5), pM=(9.5,.8);

transform t=scale(0.75);
 
object objet_1=draw(t*"$Z$",ellipse,(0.5,0.5),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_2=draw(t*"$B$",ellipse,(1,3),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_3=draw(t*"$T$",ellipse,(3.2,0),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_4=draw(t*"$R$",ellipse,(3,3.5),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_5=draw(t*"$C$",ellipse,(5.5,3.3),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_6=draw(t*"$P$",ellipse,(7,.25),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_7=draw(t*"$L$",ellipse,(9,3.8),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_8=draw(t*"$V$",ellipse,(9.1,2.5),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));
object objet_9=draw(t*"$M$",ellipse,(9.5,.8),
		    xmargin=.1cm,
		    filltype=FillDraw(lightblue,black));


add(new void(picture pic, transform t) {
    //Fleches directes
    draw(pic, Label("$\small 4,40$", align=W),
	 point(objet_1,pB-pZ,t){pB-pZ}..{pB-pZ}point(objet_2,pZ-pB,t));
    draw(pic, Label("$\small 19,60$", align=S),
	 point(objet_1,pT-pZ,t){pT-pZ}..{pT-pZ}point(objet_3,pZ-pT,t));
    draw(pic, Label("$\small 17,50$", align=W),
	 point(objet_2,pT-pB,t){pT-pB}..{pT-pB}point(objet_3,pB-pT,t));
    draw(pic, Label("$\small 11,50$", align=N),
	 point(objet_2,pR-pB,t){pR-pB}..{pR-pB}point(objet_4,pB-pR,t));
    draw(pic, Label("$\small 14,60$", align=E),
	 point(objet_3,pR-pT,t){pR-pT}..{pR-pT}point(objet_4,pT-pR,t));
    draw(pic, Label("$\small 19,60$", align=S),
	 point(objet_3,pP-pT,t){pP-pT}..{pP-pT}point(objet_6,pT-pP,t));
    draw(pic, Label("$\small 11,50$", align=N),
	 point(objet_4,pC-pR,t){pC-pR}..{pC-pR}point(objet_5,pR-pC,t));
    draw(pic, Label("$\small 8,60$", align=W),
	 point(objet_5,pP-pC,t){pP-pC}..{pP-pC}point(objet_6,pC-pP,t));
    draw(pic, Label("$\small 10,70$", align=N),
	 point(objet_5,pL-pC,t){pL-pC}..{pL-pC}point(objet_7,pC-pL,t));
    draw(pic, Label("$\small 16,60$", align=W),
	 point(objet_6,pV-pP,t){pV-pP}..{pV-pP}point(objet_8,pP-pV,t));
    draw(pic, Label("$\small 9,40$", align=S),
	 point(objet_6,pM-pP,t){pM-pP}..{pM-pP}point(objet_9,pP-pM,t));
    draw(pic, Label("$\small 7,10$", align=E),
	 point(objet_7,pV-pL,t){pV-pL}..{pV-pL}point(objet_8,pL-pV,t));
    draw(pic, Label("$\small 15,70$", align=E),
	 point(objet_8,pM-pV,t){pM-pV}..{pM-pV}point(objet_9,pV-pM,t));
  });


