size(300);
//unitsize(1cm);
defaultpen(blue);

pair pA=(0,0), pB=(1,1), pC=(2,0.5), pD=(3,1), pE=(2,0), pF=(3,0), pG=(4,.5);

transform t=scale(0.75);
 
object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white,blue));
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white, blue));
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white, blue));
object objet_4=draw(t*"$D$",ellipse, pD,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white, blue));
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white, blue));
object objet_6=draw(t*"$F$",ellipse, pF,
		    xmargin=.1cm,
		    blue, filltype=FillDraw(white, blue));
object objet_7=draw(t*"$G$",ellipse, pG,
		    xmargin=.1cm
		    );


add(new void(picture pic, transform t) {
//Fleches directes
    draw(pic, Label("\scriptsize $8$", align=Center, magenta, UnFill),
	 point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
    draw(pic, Label("\scriptsize $4$", align=Center, magenta, UnFill),
	 point(objet_1,pC-pA,t){pC-pA}..{pC-pA}point(objet_3,pA-pC,t));
    draw(pic, Label("\scriptsize $8$", align=Center, magenta, UnFill),
	 point(objet_2,pC-pB,t){pC-pB}..{pC-pB}point(objet_3,pB-pC,t));
    draw(pic, Label("\scriptsize $4$", align=Center, magenta, UnFill),
	 point(objet_2,pD-pB,t){pD-pB}..{pD-pB}point(objet_4,pB-pD,t));
    draw(pic, Label("\scriptsize $12$", align=Center, magenta, UnFill),
	 point(objet_2,pE-pB,t){pE-pB}..{pE-pB}point(objet_5,pB-pE,t));
    draw(pic, Label("\scriptsize $16$", align=Center, magenta, UnFill),
	 point(objet_3,pD-pC,t){pD-pC}..{pD-pC}point(objet_4,pC-pD,t));
    draw(pic, Label("\scriptsize $12$", align=Center, magenta, UnFill),
	 point(objet_3,pE-pC,t){pE-pC}..{pE-pC}point(objet_5,pC-pE,t));
    draw(pic, Label("\scriptsize $20$", align=Center, magenta, UnFill),
	 point(objet_3,pF-pC,t){pF-pC}..{pF-pC}point(objet_6,pC-pF,t));
    draw(pic, Label("\scriptsize $12$", align=Center, magenta, UnFill),
	 point(objet_4,pE-pD,t){pE-pD}..{pE-pD}point(objet_5,pD-pE,t));
    draw(pic, Label("\scriptsize $24$", align=Center, magenta, UnFill),
	 point(objet_4,pF-pD,t){pF-pD}..{pF-pD}point(objet_6,pD-pF,t));
    draw(pic, Label("\scriptsize $20$", align=Center, magenta, UnFill),
	 point(objet_4,pG-pD,t){pG-pD}..{pG-pD}point(objet_7,pD-pG,t));
    draw(pic, Label("\scriptsize $4$", align=Center, magenta, UnFill),
	 point(objet_5,pF-pE,t){pF-pE}..{pF-pE}point(objet_6,pE-pF,t));
    draw(pic, Label("\scriptsize $8$", align=Center, magenta, UnFill),
	 point(objet_6,pG-pF,t){pG-pF}..{pG-pF}point(objet_7,pF-pG,t));
  });


