size(300);

pair pA=(.5,.5), pB=(2,3.4), pC=(2.5,1.5), pD=(4.5,3), pE=(6,4.3), pF=(6,1.3), pT=(8,.5);

draw(Label("\footnotesize 4", align=Center, UnFill), pA--pB, Arrow);
draw(Label("\footnotesize 3", align=Center, UnFill), pA--pC, Arrow);
draw(Label("\footnotesize 4", align=Center, UnFill), pT--pA, Arrow);
draw(Label("\footnotesize 1,5", align=Center, UnFill), pB--pC, Arrow);
draw(Label("\footnotesize 0,5", align=Center, UnFill), pB--pD, Arrow);
draw(Label("\footnotesize 1", align=Center, UnFill), pB--pE, Arrow);
draw(Label("\footnotesize 2", align=Center, UnFill), pC--pD, Arrow);
draw(Label("\footnotesize 3", align=Center, UnFill), pC--pF, Arrow);
draw(Label("\footnotesize 0,5", align=Center, UnFill), pD--pE, Arrow);
draw(Label("\footnotesize 0,5", align=Center, UnFill), pD--pF, Arrow);
draw(Label("\footnotesize 0,5", align=Center, UnFill), pE--pF, Arrow);
draw(Label("\footnotesize 4", align=Center, UnFill), pE--pT, Arrow);
draw(Label("\footnotesize 0,5", align=Center, UnFill), pF--pT, Arrow);

dotfactor=12;
dot("$A$", pA, SW, UnFill);
dot("$B$", pB, N, UnFill);
dot("$C$", pC, S, UnFill);
dot("$D$", pD, 2N, UnFill);
dot("$E$", pE, N, UnFill);
dot("$F$", pF, S, UnFill);
dot("$T$", pT, E, UnFill);


